package v1alpha2

import "time"

type PageableDevOpsProject struct {
	Items      []*DevOpsProject `json:"items"`
	TotalCount int              `json:"total_count"`
}

type DevOpsProject struct {
	ProjectId   string    `json:"project_id" db:"project_id" description:"ProjectId must be unique within a workspace, it is generated by kubesphere."`
	Name        string    `json:"name" description:"DevOps Projects's Name"`
	Description string    `json:"description,omitempty" description:"DevOps Projects's Description, used to describe the DevOps Project"`
	Creator     string    `json:"creator" description:"Creator's username"`
	CreateTime  time.Time `json:"create_time" description:"DevOps Project's Creation time"`
	Status      string    `json:"status" description:"DevOps project's status. e.g. active"`
	Visibility  string    `json:"visibility,omitempty" description:"Deprecated Field"`
	Extra       string    `json:"extra,omitempty" description:"Internal Use"`
	Workspace   string    `json:"workspace" description:"The workspace to which the devops project belongs"`
}
